---
name: Meritxell 'Meri' Gil Galindo
placeholder:
locality: Limerick
country: Ireland
role: <a href="/job-families/sales/sales-operations/">Sales Operations Analyst</a>
reports_to: lschoenfeld
picture: Meri_gil_galindo.jpg
twitter: 
gitlab: mgilgalindo
departments:
- Sales
- Field Operations
story: 'Meri is Spanish but she is based in Ireland and has worked in the tech industry
  for the last 4 years. In her spare time she loves learning new languages and cooking.

'
